#ifndef STATISTICSDIALOG_H
#define STATISTICSDIALOG_H

#include <QDialog>
#include <vector>

namespace Ui {
class StatisticsDialog;
}

class StatisticsDialog : public QDialog
{
	Q_OBJECT

public:
	explicit StatisticsDialog(const std::vector<double>& data, QWidget *parent = 0);
	~StatisticsDialog();

private slots:
	void copyCount();
	void copyMean();
	void copyMinMax();
	void copySd();

private:
	Ui::StatisticsDialog *ui;
};

#endif // STATISTICSDIALOG_H
